%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  dreamer
%global packver   3.2.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          3.2.0
Release:          1%{?dist}%{?buildtag}
Summary:          Dose Response Models for Bayesian Model Averaging

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-rjags >= 4.8
BuildRequires:    R-CRAN-ggplot2 >= 3.0
BuildRequires:    R-CRAN-tidyselect >= 1.2
BuildRequires:    R-CRAN-tidyr >= 1.0.2
BuildRequires:    R-CRAN-dplyr >= 1.0.0
BuildRequires:    R-CRAN-rlang >= 0.4.5
BuildRequires:    R-CRAN-ellipsis >= 0.3
BuildRequires:    R-CRAN-coda 
BuildRequires:    R-graphics 
BuildRequires:    R-CRAN-purrr 
BuildRequires:    R-CRAN-rootSolve 
BuildRequires:    R-stats 
Requires:         R-CRAN-rjags >= 4.8
Requires:         R-CRAN-ggplot2 >= 3.0
Requires:         R-CRAN-tidyselect >= 1.2
Requires:         R-CRAN-tidyr >= 1.0.2
Requires:         R-CRAN-dplyr >= 1.0.0
Requires:         R-CRAN-rlang >= 0.4.5
Requires:         R-CRAN-ellipsis >= 0.3
Requires:         R-CRAN-coda 
Requires:         R-graphics 
Requires:         R-CRAN-purrr 
Requires:         R-CRAN-rootSolve 
Requires:         R-stats 

%description
Fits dose-response models utilizing a Bayesian model averaging approach as
outlined in Gould (2019) <doi:10.1002/bimj.201700211> for both continuous
and binary responses. Longitudinal dose-response modeling is also
supported in a Bayesian model averaging framework as outlined in Payne,
Ray, and Thomann (2024) <doi:10.1080/10543406.2023.2292214>. Functions for
plotting and calculating various posterior quantities (e.g. posterior
mean, quantiles, probability of minimum efficacious dose, etc.) are also
implemented.  Copyright Eli Lilly and Company (2019).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
